Rwanda RAMS - Task #49
Task # 46 (New): [TMS] Reports development

[TMS] Reports > Daily Traffic Count
02/04/2024 03:32 PM - Kalyan Battula

Status: Ready for Prod Start date: 02/04/2024
Priority: High Due date:

Assignee: Ravi Shekar Gotimukul % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 1.0.0.0_QA Spent time: 0:00 hour
Deployed In: Category:

Description

Province, district, roads, stations dropdowns to be dependent in the same order
sub-filters dropdown values not getting cleared based on the selection of parent filter dropdown

generate report based on the filter selected
ideally, 5 days it is 12 hrs, and 2 days it is 24 hrs, so night rows should be 2 instead of 4 (I have made these changes in SP)

we need a dropdown for report type - Road wise or District-wise
"based on the selection the report format will change as below
if District-wise then report will be as existing and if road-wise then show in one single page order by total ADT descending"”

History

#1 - 03/04/2024 11:16 PM - Bhanuchander Sannidhanam

Kalyan Battula wrote:

Province, district, roads, stations dropdowns to be dependent in the same order
sub-filters dropdown values not getting cleared based on the selection of parent filter dropdown

generate report based on the filter selected
ideally, 5 days it is 12 hrs, and 2 days it is 24 hrs, so night rows should be 2 instead of 4 (| have made these changes in SP)

Province, district, roads, stations dropdowns to be dependent in the same order

sub-filters dropdown values not getting cleared based on the selection of parent filter dropdown -- Resolved
we need a dropdown for report type - Road wise or District-wise

"based on the selection the report format will change as below
if District-wise then report will be as existing and if road-wise then show in one single page order by total ADT descending"

#2 - 15/04/2024 10:47 PM - Harinath Vajrala
- Status changed from New to Ready for Prod

- Assignee changed from Harinath Vajrala to Ravi Shekar Gotimukul

Deployed in Dev
